Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731182 - net-analyzer/xnetload fails to link with LLD because of /usr/lib in the link command line
Summary: net-analyzer/xnetload fails to link with LLD because of /usr/lib in the link ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-07 06:24 UTC by Agostino Sarubbo
Modified: 2021-03-15 23:56 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,9.39 KB, text/plain)
2020-07-07 06:24 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-07 06:24:24 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-analyzer/xnetload fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-07 06:24:32 UTC
Created attachment 648130 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2021-03-15 23:56:40 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1054f69f75bc586bdceb0001b5a37ed07e0d78d3

commit 1054f69f75bc586bdceb0001b5a37ed07e0d78d3
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-03-15 23:56:18 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-15 23:56:22 +0000

    net-analyzer/xnetload: update EAPI 5 -> 7, fix libdir, colon-in-CFLAGS
    
    Closes: https://bugs.gentoo.org/731182
    Signed-off-by: Sam James <sam@gentoo.org>

 .../xnetload/files/xnetload-1.11.3-libdir.patch    | 11 +++++++++++
 net-analyzer/xnetload/xnetload-1.11.3-r1.ebuild    | 23 ++++++++++++++--------
 2 files changed, 26 insertions(+), 8 deletions(-)